| Bsoft 2.0.5 Bernard's software package

Functions
mg_class.h File Reference

Header file for classification of raw single particle images with respect to multiple models. More...

`#include "mg_processing.h"`
`#include "FSI_Kernel.h"`

Go to the source code of this file.

## Functions
long | mg_classify (Bproject *project, double resolution_hi, double resolution_lo, int fom_type, double fom_cut, FSI_Kernel *kernel, int ctf_apply, int img_out)
| Classifies particle images with respect to a series of reference maps. More...

## Detailed Description

Header file for classification of raw single particle images with respect to multiple models.

Author
  Bernard Heymann

Date
  Created: 20010222
  Modified: 20151008

Definition in file mg_class.h.

## Function Documentation

## ◆ mg_classify()

long mg_classify | ( | Bproject * | project,
|  | double | resolution_hi,
|  | double | resolution_lo,
|  | int | fom_type,
|  | double | fom_cut,
|  | FSI_Kernel * | kernel,
|  | int | ctf_apply,
|  | int | img_out
| ) |  |

Classifies particle images with respect to a series of reference maps.

Parameters

  *project | project parameter structure.
  resolution_hi | upper resolution limit.
  resolution_lo | lower resolution limit.
  fom_type | FOM type: 0=CC, 1=R, 2=PD.
  fom_cut | input FOM threshold to classify a particle.
  *kernel | frequency space interpolation kernel.
  ctf_apply | apply CTF to projections.
  img_out | image output options: 0=none, 1=projections, 2=differences, 3=both

Returns
  long particles selected.

      For every particle image, a projection is made from every reference map
      according to the input orientation parameters and compared to the
      particle image. The FOM calculated is a real space correlation coefficient.

Definition at line 38 of file mg_class.cpp.